Entities
Generate Entity Status Report
Generates a report of entities based on their status for a given time period
GET
/
admin
/
entities
/
{program_id}
/
status-report
Generate Entity Status Report
curl --request GET \
--url https://api.gratona.com/v1/admin/entities/{program_id}/status-report \
--header 'X-HYS-API-Key: <api-key>'import requests
url = "https://api.gratona.com/v1/admin/entities/{program_id}/status-report"
headers = {"X-HYS-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-HYS-API-Key': '<api-key>'}};
fetch('https://api.gratona.com/v1/admin/entities/{program_id}/status-report', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/entities/{program_id}/status-report",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-HYS-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/entities/{program_id}/status-report"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-HYS-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gratona.com/v1/admin/entities/{program_id}/status-report")
.header("X-HYS-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/entities/{program_id}/status-report")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-HYS-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{}
],
"summary": {}
}{
"message": "<string>"
}Authorizations
apiKeyAuthbearerAuth
Gratona API key sent with the compatibility header X-HYS-API-Key.
Path Parameters
Program ID for which to generate the report
Query Parameters
Status to filter by (e.g., 'dropped out', 'continuing')
Year to filter by (e.g., '2024')
Field key to filter by (e.g., 'gender')
Field value to filter by
⌘I
Generate Entity Status Report
curl --request GET \
--url https://api.gratona.com/v1/admin/entities/{program_id}/status-report \
--header 'X-HYS-API-Key: <api-key>'import requests
url = "https://api.gratona.com/v1/admin/entities/{program_id}/status-report"
headers = {"X-HYS-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-HYS-API-Key': '<api-key>'}};
fetch('https://api.gratona.com/v1/admin/entities/{program_id}/status-report', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/entities/{program_id}/status-report",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-HYS-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/entities/{program_id}/status-report"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-HYS-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gratona.com/v1/admin/entities/{program_id}/status-report")
.header("X-HYS-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/entities/{program_id}/status-report")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-HYS-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{}
],
"summary": {}
}{
"message": "<string>"
}